Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006308 [JEDI VCL] 00 JVCL Components major always 2014-07-25 11:38 2015-09-21 17:47
Reporter bfrost View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006308: TJvOutlookBar draws buttons behind bottom page button.
Description When the page button count is greater than the page area, the buttons are drawn on past the bottom page button and are visible 'behind' the page button.

The problem is in DrawButtons where truncation of further buttons should be performed before attempting drawing. The problem is visible with 32 pixel and 48 pixel images, I have not tried 16-pixel buttons.

My fix is attached. There are two places where '//BJF ***' indicates the changes.



Additional Information
Tags No tags attached.
Attached Files txt file icon DrawButtons.txt [^] (4,832 bytes) 2014-07-25 11:38
zip file icon demo.zip [^] (11,996 bytes) 2014-09-03 14:43

- Relationships

-  Notes
(0021037)
obones (administrator)
2014-09-03 11:41

Please provide the zipped sources of a sample application showing this
(0021045)
bfrost (reporter)
2014-09-03 14:46

File DEMO.ZIP shows the problem. Compile under XE5 or XE6 (but any IDE should show this) and run. Click on the first bar page (folder) to see the visible icons. Now drag the bottom of the form upwards to gradually hide the icons and you will see that they continue to be visible 'through' the buttons of the other bar pages.

- Issue History
Date Modified Username Field Change
2014-07-25 11:38 bfrost New Issue
2014-07-25 11:38 bfrost File Added: DrawButtons.txt
2014-07-25 11:39 bfrost Issue Monitored: bfrost
2014-09-03 11:41 obones Note Added: 0021037
2014-09-03 11:41 obones Status new => feedback
2014-09-03 14:43 bfrost File Added: demo.zip
2014-09-03 14:46 bfrost Note Added: 0021045
2014-10-01 10:50 AHUser Status feedback => resolved
2014-10-01 10:50 AHUser Fixed in Version => Daily / GIT
2014-10-01 10:50 AHUser Resolution open => fixed
2014-10-01 10:50 AHUser Assigned To => AHUser
2015-09-21 17:47 obones Fixed in Version Daily / GIT => 3.49


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker